Bug 55378 - segmentation fault in rhn_check
Summary: segmentation fault in rhn_check
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: up2date   
(Show other bugs)
Version: 7.2
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-30 16:51 UTC by Aleksey Nogin
Modified: 2015-01-07 23:52 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-27 04:27:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Aleksey Nogin 2001-10-30 16:51:11 UTC
I do not have that much data, but decided to report anyway: I just saw a
segmentation fault in rhn_check:

% rhn_check -v
Password:
handle_action actionid = 51338, version = 2
Sending back response: (0, 'rpmlist refreshed', {})
handle_action actionid = 51339, version = 2
nfs-utils-0.3.1-13.7.2.1.i3  Retrieved.
Retrieved.
Retrieved.
Retrieved.
kernel-doc-2.4.9-7.i386.rpm  Retrieved.
Retrieved.
Preparing...
Installing /usr/upgradetmp/nfs-utils-0.3.1-13.7.2.1.i386.rpm...

Installing /usr/upgradetmp/kernel-headers-2.4.9-7.i386.rpm...

Installing /usr/upgradetmp/kernel-source-2.4.9-7.i386.rpm...

Installing /usr/upgradetmp/kernel-doc-2.4.9-7.i386.rpm...
Sending back response: (0, 'Packages were installed successfully', {})
Segmentation fault
Exit 139

There were no scheduled actions left and the "Packages were..." response
did get back into RHN before the crash and the upgraded packages were
successfully removed (I had keep=0) so this crash had no noticable end-user
effect (hence severity: low).

The system in question is gulag.cs.cornell.edu (systemid 1000414308).

Comment 1 Adrian Likins 2001-11-01 22:08:41 UTC
hmm. rhn_check is a python script, and python itself is generally
very difficult to segfault. Typically it is some compiled python
module that causes any segfaults that appear.

For rhn_check, I would tend to think the rpm module might be a 
canidate. 

I assume this is a mostly stock 7.2 + updates? 

I'll see if I can reproduce this.

Comment 2 Aleksey Nogin 2001-11-01 22:26:50 UTC
> I assume this is a mostly stock 7.2 + updates? 

Yes, stock 7.2 + glibc and older kernel upgrade.

Comment 3 Adrian Likins 2002-03-26 23:49:37 UTC
Hmm, never been able to duplicate this.

Is this still an issue with the 2.7.11 version of up2date?

Comment 4 Aleksey Nogin 2002-03-27 04:27:39 UTC
I only saw this once, never happened to me again.


Note You need to log in before you can comment on or make changes to this bug.